<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - ombs_test_coverage.info - httpserver/http_server.cpp - functions</title>
  <link rel="stylesheet" type="text/css" href="../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../index.html">top level</a> - <a href="index.html">httpserver</a> - http_server.cpp<span style="font-size: 80%;"> (<a href="http_server.cpp.gcov.html">source</a> / functions)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">ombs_test_coverage.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">113</td>
            <td class="headerCovTableEntry">119</td>
            <td class="headerCovTableEntryHi">95.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2022-01-07 08:01:00</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">22</td>
            <td class="headerCovTableEntry">22</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr><td><img src="../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <center>
  <table width="60%" cellpadding=1 cellspacing=1 border=0>
    <tr><td><br></td></tr>
    <tr>
      <td width="80%" class="tableHead">Function Name <span class="tableHeadSort"><img src="../glass.png" width=10 height=14 alt="Sort by function name" title="Sort by function name" border=0></span></td>
      <td width="20%" class="tableHead">Hit count <span class="tableHeadSort"><a href="http_server.cpp.func-sort-c.html"><img src="../updown.png" width=10 height=14 alt="Sort by hit count" title="Sort by hit count" border=0></a></span></td>
    </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#15">_ZN4omsb10HttpServer11StartServerEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#42">_ZN4omsb10HttpServer12GetAllMoviesEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#73">_ZN4omsb10HttpServer14GetAllTheatersEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#107">_ZN4omsb10HttpServer16GetAllMovieShowsEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#24">_ZN4omsb10HttpServer17AddMovieToMongoDbEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#120">_ZN4omsb10HttpServer18GetTheatersByMovieEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#55">_ZN4omsb10HttpServer19AddTheaterToMongoDbEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#200">_ZN4omsb10HttpServer19InitializeEndpointsEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#86">_ZN4omsb10HttpServer21AddMovieShowToMongoDbEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#185">_ZN4omsb10HttpServer30BookSeatsRequestBodyValidationERKN4json4JSONE</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#135">_ZN4omsb10HttpServer36GetAvailableSeatsByMovieAndByTheaterEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#151">_ZN4omsb10HttpServer9BookSeatsEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#9">_ZN4omsb10HttpServerC2EN6served11multiplexerE</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#44">_ZZN4omsb10HttpServer12GetAllMoviesEvENKUlRN6served8responseERKNS1_7requestEE_clES3_S6_</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#75">_ZZN4omsb10HttpServer14GetAllTheatersEvENKUlRN6served8responseERKNS1_7requestEE_clES3_S6_</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#109">_ZZN4omsb10HttpServer16GetAllMovieShowsEvENKUlRN6served8responseERKNS1_7requestEE_clES3_S6_</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#26">_ZZN4omsb10HttpServer17AddMovieToMongoDbEvENKUlRN6served8responseERKNS1_7requestEE_clES3_S6_</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#122">_ZZN4omsb10HttpServer18GetTheatersByMovieEvENKUlRN6served8responseERKNS1_7requestEE_clES3_S6_</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#57">_ZZN4omsb10HttpServer19AddTheaterToMongoDbEvENKUlRN6served8responseERKNS1_7requestEE_clES3_S6_</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#88">_ZZN4omsb10HttpServer21AddMovieShowToMongoDbEvENKUlRN6served8responseERKNS1_7requestEE_clES3_S6_</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#137">_ZZN4omsb10HttpServer36GetAvailableSeatsByMovieAndByTheaterEvENKUlRN6served8responseERKNS1_7requestEE_clES3_S6_</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="http_server.cpp.gcov.html#153">_ZZN4omsb10HttpServer9BookSeatsEvENKUlRN6served8responseERKNS1_7requestEE_clES3_S6_</a></td>
              <td class="coverFnHi">2</td>
            </tr>
  </table>
  <br>
  </center>
  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.14</a></td></tr>
  </table>
  <br>

</body>
</html>
